org.jgrapht.ext

## Interface ComponentAttributeProvider<T>

-     public interface ComponentAttributeProvider<T>

  Provides display attributes for vertices and/or edges in a graph.
  Version:
    $Id$
  Author:
    John Sichi

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,String>` | `getComponentAttributes(T component)` Returns a set of attribute key/value pairs for a vertex or edge.

- - ### Method Detail

    - #### getComponentAttributes

          Map<String,String> getComponentAttributes(T component)

      Returns a set of attribute key/value pairs for a vertex or edge. If order is important in the output, be sure to use an order-deterministic map implementation.
      Parameters:
        `component` - vertex or edge for which attributes are to be obtained
      Returns:
        key/value pairs, or null if no attributes should be supplied

Copyright © 2016. All rights reserved.